## ros-noetic-trajectory-tracker-rviz-plugins 0.11.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(trajectory_tracker_rviz_plugins)

set(CATKIN_DEPENDS
  pluginlib
  rviz
  trajectory_tracker_msgs
)

find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
catkin_package(CATKIN_DEPENDS ${CATKIN_DEPENDS})


add_compile_options(-std=c++11)
include_directories(include ${catkin_INCLUDE_DIRS})
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)


if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})

  qt4_wrap_cpp(MOC_FILES
    include/trajectory_tracker_rviz_plugins/path_with_velocity_display.h
  )
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)

  qt5_wrap_cpp(MOC_FILES
    include/trajectory_tracker_rviz_plugins/path_with_velocity_display.h
  )
endif()

find_file(HAVE_VALIDATE_QUATERNION_H
  NAMES rviz/validate_quaternions.h
  HINTS ${catkin_INCLUDE_DIRS}
)
if(HAVE_VALIDATE_QUATERNION_H)
  add_definitions(-DHAVE_VALIDATE_QUATERNION_H)
endif()


add_library(${PROJECT_NAME}
  src/path_with_velocity_display.cpp
  ${MOC_FILES}
)
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${catkin_LIBRARIES})


install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-noetic-trajectory-tracker-rviz-plugins 0.11.6

=== debian/changelog ===
ros-noetic-trajectory-tracker-rviz-plugins (0.11.6-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker-rviz-plugins (0.3.1-1buster) buster; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#6 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/6>)
  * Update license information (#5 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/5>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 May 2020 00:00:00 -0000

ros-noetic-trajectory-tracker-rviz-plugins (0.3.0-1buster) buster; urgency=high

  * Add trajectory_tracker_msgs plugin (#1 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/1>)
    
      * Initial drop
      * Add CI
      * Fix build errors and warnings
      * Disable quaternion validation on indigo
      * Don't validate linear_velocity field
      * Add package README
      * Cleanup code
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-trajectory-tracker-rviz-plugins
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-noetic-catkin, ros-noetic-pluginlib, ros-noetic-rviz, ros-noetic-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-trajectory-tracker-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-noetic-pluginlib, ros-noetic-rviz, ros-noetic-trajectory-tracker-msgs
Description: Rviz plugins for trajectory_tracker_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-trajectory-tracker-rviz-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-trajectory-tracker-rviz-plugins 0.11.7

=== debian/changelog ===
ros-noetic-trajectory-tracker-rviz-plugins (0.11.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Jun 2023 00:00:00 -0000

ros-noetic-trajectory-tracker-rviz-plugins (0.11.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker-rviz-plugins (0.3.1-1focal) focal; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#6 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/6>)
  * Update license information (#5 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/5>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 May 2020 00:00:00 -0000

ros-noetic-trajectory-tracker-rviz-plugins (0.3.0-1focal) focal; urgency=high

  * Add trajectory_tracker_msgs plugin (#1 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/1>)
    
      * Initial drop
      * Add CI
      * Fix build errors and warnings
      * Disable quaternion validation on indigo
      * Don't validate linear_velocity field
      * Add package README
      * Cleanup code
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000
